From 4b383edd0046efaee97c9a09d8dcd27dc0ad3734 Mon Sep 17 00:00:00 2001
From: Dilip Kumar <dilipkumar@localhost.localdomain>
Date: Wed, 22 Apr 2020 11:05:30 +0530
Subject: [PATCH v5 7/7] Fix check while computing transaction xid limit

---
 src/backend/utils/time/snapmgr.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/time/snapmgr.c b/src/backend/utils/time/snapmgr.c
index dd934ba..296ae8f 100644
--- a/src/backend/utils/time/snapmgr.c
+++ b/src/backend/utils/time/snapmgr.c
@@ -1760,7 +1760,7 @@ TransactionIdLimitedForOldSnapshots(TransactionId recentXmin,
 
 		if (!same_ts_as_threshold)
 		{
-			if (ts == update_ts)
+			if (ts >= update_ts)
 			{
 				xlimit = latest_xmin;
 				if (NormalTransactionIdFollows(xlimit, recentXmin))
-- 
1.8.3.1

